Isi

# Operator XOR

Melaksanakan kombinasi logika terhadap dua ekspresi.

## Sintaksis:

    Hasil = Ekspresi1 XOR Ekspresi2

## Parameter:

Hasil: Variabel numerik apa saja yang mengandung hasil dari perbadindang.

Ekspresi1, Ekspresi2: Ekspresi apa saja yang hendak Anda gabungkan.

Sebuah logika Eksklusif-Atau gabungan dari dua ekspresi Boolean mengembalikan nilai True hanya jika kedua ekspresi yang berbeda dari satu sama lain.

Sebuah bitwise Eksklusif-Atau hubungannya mengembalikan sebuah bit jika bit yang sesuai diatur hanya salah satu dari dua ekspresi.

## Contoh:

    Sub ExampleXOR
    Dim vA As Variant, vB As Variant, vC As Variant, vD As Variant
    Dim vOut As Variant
        vA = 10: vB = 8: vC = 6: vD = Null
        vOut = vA > vB XOR vB > vC ' menghasilkan 0
        vOut = vB > vA XOR vB > vC ' menghasilkan -1
        vOut = vA > vB XOR vB > vD ' menghasilkan -1
        vOut = (vB > vD XOR vB > vA) ' menghasilkan 0
        vOut = vB XOR vA ' menghasilkan 2
    End Sub